export class SceneMenu {
  x?: number;
  y?: number;
  isShow?: boolean;

  constructor(x: number | undefined, y: number | undefined, isShow: boolean | undefined) {
    this.x = x;
    this.y = y;
    this.isShow = isShow;
  }

  static empty() {
    return new SceneMenu(undefined, undefined, false);
  }
}

export interface SceneManagerView {
  name: string;
  clickHandel: Function;
}

export enum SceneMode {
  ROTATE = "Rotate",
  MOVING = "Moving",
  EMPTY = "Empty",
  ADD_CAMERA = "Add camera",
  MAGNETISM_MARKING = "magnetism_marking",
}
