import { HttpMethod, HttpRepository } from "../../../core/repository/http_repository";
import { IProjectModel } from "../model/project_model";

export interface UUID {
  id: string;
}
export class ProjectRepository extends HttpRepository {
  async getAllProject() {
    return this._jsonRequest<IProjectModel[]>(HttpMethod.GET, "/projects");
  }

  async getActivePipeline() {
    return this._jsonRequest<UUID>(HttpMethod.GET, "/projects/get/active/project/id");
  }
  async setActivePipeline(id: string) {
    return this._jsonRequest(HttpMethod.POST, `/project_instance/set/active/project?id=${id}`);
  }
}
