import * as React from "react";
import { PipelineInstanceStore } from "./pipeline_instance_store";
import { useNavigate } from "react-router-dom";
import { Icon } from "../../core/ui/icons/icons";
import { CardDataSet, CardDataSetType } from "../dataset/card_dataset";
import { MainPage } from "../../core/ui/pages/main_page";

export const PipelineInstanceScreenPath = "/pipeline_instance/";

export const PipelineInstanceScreen: React.FunctionComponent = () => {
  const [store] = React.useState(() => {
    new PipelineInstanceStore();
  });
  React.useEffect(() => {
    document.body.style.overflow = "hidden";
    return () => {
      document.body.style.overflow = "scroll";
    };
  }, [store]);
  const navigate = useNavigate();

  return (
    <>
      <MainPage page="Датасеты" />
    </>
  );
};
