import React from "react";
import ReactDOM from "react-dom/client";
import "reflect-metadata";
import "antd/dist/antd.min.css";
import { extensions } from "./core/extensions/extensions";
import { SocketLister } from "./features/socket_lister/socket_lister";
import { RouterProvider } from "react-router-dom";
import { router } from "./core/routers/routers";

extensions();
const root = ReactDOM.createRoot(document.getElementById("root") as HTMLElement);

root.render(
  <>
    <SocketLister>
      <RouterProvider router={router} />
    </SocketLister>
  </>
);
